## kdenlive 25.08.2+p24.04+vstable+git20251030.0508

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vstable+git20251030.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 05:09:07 +0000
