=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Homepage: https://kdenlive.org/
Standards-Version: 4.6.2
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               ffmpeg,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kbookmarks-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kguiaddons-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kplotting-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libmlt++-dev,
               libmlt-dev,
               libswresample-dev,
               libv4l-dev,
               opentimelineio-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-networkauth-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev
Vcs-Git: https://invent.kde.org/neon/forks/kdenlive.git
Vcs-Browser: https://invent.kde.org/neon/forks/kdenlive
Maintainer: Neon CI <neon@kde.org>

Package: kdenlive
Architecture: any
Depends: ffmpeg,
         frei0r-plugins,
         kdenlive-data (= ${source:Version}),
         kf6-kded,
         kf6-kio,
         mediainfo,
         melt,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: breeze-icon-theme,
            dvgrab,
            oxygen-icon-theme,
            recordmydesktop,
            swh-plugins
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.
