=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vunstable+git20251015.1657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:57:38 +0000
