## kdenlive 25.08.2+p24.04+vunstable+git20251020.0031

=== debian/changelog ===
kdenlive (4:25.08.2+p24.04+vunstable+git20251020.0031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:31:46 +0000
