## kdenlive 25.08.2+p24.04+vunstable+git20251022.0256

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -130,6 +130,8 @@
 ecm_target_qml_sources(kdenliveLib
     SOURCES
     qml/ZoomBar.qml
+    monitor/view/AudioView.qml
+    monitor/view/AudioZoomBar.qml
     monitor/view/ProjectMonitor.qml
     monitor/view/Countdown.qml
     monitor/view/ClipMonitor.qml
@@ -157,6 +159,7 @@
     monitor/view/ResizeLogic.js
     monitor/view/SnappingLogic.js
     monitor/view/RotationHandle.qml
+    monitor/view/Utils.js
     timeline2/view/qml/Timeline.qml
     timeline2/view/qml/TimelineLogic.js
     timeline2/view/qml/TrackHead.qml
