## kdenlive 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -25,17 +25,7 @@
 option(BUILD_FUZZING "Build fuzzing target" OFF)
 option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
-set(FETCH_OTIO_DEFAULT OFF)
-if(APPLE OR BSD)
-    # We don't want to fetch OTIO by default and long term might not even offer this option,
-    # however there is a bug (crash) with the shared builds of OTIO on FreeBSD and in Craft on macOS
-    # Hence we keep the fetching enabled as a stop gap solution on these platforms
-    # https://invent.kde.org/multimedia/kdenlive/-/issues/1992
-    set(FETCH_OTIO_DEFAULT ON)
-endif()
-
-option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ${FETCH_OTIO_DEFAULT})
+option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ON)
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -138,7 +128,6 @@
     Concurrent
     QuickWidgets
     Multimedia
-    MultimediaWidgets
     NetworkAuth
     SvgWidgets
     Xml
@@ -160,11 +149,12 @@
 message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")
 
 # LibAV
-find_package(FFmpeg REQUIRED COMPONENTS
-    AVFORMAT
-    AVCODEC
-    SWRESAMPLE
-    AVUTIL
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(LIBAV REQUIRED IMPORTED_TARGET
+    libavformat
+    libavcodec
+    libswresample
+    libavutil
 )
 
 # OpenTimelineIO
@@ -211,7 +201,7 @@
 
 # Get current version.
 set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
-if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
+if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
   # Probably a Git workspace; determine the revision.
   find_package(Git QUIET)
   if(GIT_FOUND)
@@ -219,7 +209,7 @@
 	  ARGS "log -n 1 --pretty=format:\"%h\""
       OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
     message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
-    set(KDENLIVE_FULL_VERSION_STRING "${KDENLIVE_VERSION} - rev. ${KDENLIVE_GIT_REVISION}")
+    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
   else()
     message(STATUS "Kdenlive Git revision could not be determined")
   endif()
@@ -274,7 +264,6 @@
 # Tests
 if(BUILD_TESTING)
     add_subdirectory(tests)
-    add_subdirectory(appiumtests)
 endif()
 if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
     add_subdirectory(fuzzer)
