=== data/luts/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>

INSTALL(FILES 
    BLUE_TINT.cube
    CINEMATIC.cube
    GREEN_TINT.cube
    TEAL_ORANGE.cube
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/luts)
