=== src/abstractmodel/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Nicolas Carion <french.ebook.lover@gmail.com>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  abstractmodel/abstracttreemodel.cpp
  abstractmodel/treeitem.cpp
  PARENT_SCOPE)
