=== src/profiles/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Nicolas Carion <french.ebook.lover@gmail.com>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  profiles/profileinfo.cpp
  profiles/profilerepository.cpp
  profiles/profilemodel.cpp
  profiles/tree/profiletreemodel.cpp
  profiles/tree/profilefilter.cpp
  PARENT_SCOPE)
