=== data/effects/avfilter/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Massimo Stella <maxstar@tin.it>

INSTALL (FILES 

acompressor.xml
aecho.xml
agate.xml
avfilter_acontrast.xml
avfilter_acrusher.xml
avfilter_alimiter.xml
avfilter_allpass.xml
avfilter_aphaser.xml
avfilter_apulsator.xml
avfilter_atadenoise.xml
avfilter_avgblur.xml
avfilter_bandpass.xml
avfilter_bandreject.xml
avfilter_bass.xml
avfilter_bilateral.xml
avfilter_boxblur.xml
avfilter_bs2b.xml
avfilter_bwdif.xml
avfilter_cas.xml
avfilter_ciescope.xml
avfilter_chromahold.xml
avfilter_chromanr.xml
avfilter_chromashift.xml
avfilter_colorbalance.xml
avfilter_colorchannelmixer.xml
avfilter_colorcontrast.xml
avfilter_colorcorrect.xml
avfilter_colorhold.xml
avfilter_colorize.xml
avfilter_colorlevels.xml
avfilter_colormatrix.xml
avfilter_colorspace.xml
avfilter_colortemperature.xml
avfilter_compand.xml
avfilter_compensationdelay.xml
avfilter_crossfeed.xml
avfilter_crystalizer.xml
avfilter_datascope.xml
avfilter_dblur.xml
avfilter_dcshift.xml
avfilter_dctdnoiz.xml
avfilter_deband.xml
avfilter_deblock.xml
avfilter_dedot.xml
avfilter_deesser.xml
avfilter_deflate.xml
avfilter_delogo.xml
avfilter_derain.xml
avfilter_despill.xml
avfilter_dilation.xml
avfilter_doubleweave.xml
avfilter_drawbox.xml
avfilter_drawgrid.xml
avfilter_edgedetect.xml
avfilter_elbg.xml
avfilter_epx.xml
avfilter_eq.xml
avfilter_equalizer.xml
avfilter_erosion.xml
avfilter_exposure.xml
avfilter_extrastereo.xml
avfilter_fftdnoiz.xml
avfilter_fftfilt.xml
avfilter_field.xml
avfilter_fieldorder.xml
avfilter_fillborders.xml
avfilter_flanger.xml
avfilter_framestep.xml
avfilter_fspp.xml
avfilter_gblur.xml
avfilter_gradfun.xml
avfilter_graphmonitor.xml
avfilter_haas.xml
avfilter_hflip.xml
avfilter_highpass.xml
avfilter_highshelf.xml
avfilter_histeq.xml
avfilter_histogram.xml
avfilter_hqdn3d.xml
avfilter_hqx.xml
avfilter_hsvhold.xml
avfilter_hsvkey.xml
avfilter_huesaturation.xml
avfilter_il.xml
avfilter_inflate.xml
avfilter_kerneldeint.xml
avfilter_kirsch.xml
avfilter_lagfun.xml
avfilter_lenscorrection.xml
avfilter_limiter.xml
avfilter_loudnorm.xml
avfilter_lowpass.xml
avfilter_lowshelf.xml
avfilter_lut3d.xml
avfilter_mcdeint.xml
avfilter_median.xml
avfilter_monochrome.xml
avfilter_negate.xml
avfilter_noise.xml
avfilter_normalize.xml
avfilter_oscilloscope.xml
avfilter_phase.xml
avfilter_photosensitivity.xml
avfilter_pixelize.xml
avfilter_prewitt.xml
avfilter_random.xml
avfilter_removegrain.xml
avfilter_rgbashift.xml
avfilter_roberts.xml
avfilter_sab.xml
avfilter_scharr.xml
avfilter_scroll.xml
avfilter_selectivecolor.xml
avfilter_separatefields.xml
avfilter_setrange.xml
avfilter_shear.xml
avfilter_shuffleplanes.xml
avfilter_smartblur.xml
avfilter_sobel.xml
avfilter_sofalizer.xml
avfilter_sr.xml
avfilter_stereo3D.xml
avfilter_stereotools.xml
avfilter_stereowiden.xml
avfilter_tmix.xml
avfilter_transpose.xml
avfilter_unsharp.xml
avfilter_vaguedenoiser.xml
avfilter_vectorscope.xml
avfilter_vflip.xml
avfilter_vibrance.xml
avfilter_vibrato.xml
avfilter_w3fdif.xml
avfilter_waveform.xml
avfilter_weave.xml
avfilter_xbr.xml
avfilter_yadif.xml
avfilter_zoompan.xml
subtitles.xml
DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)
