=== data/effects/movit/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

INSTALL (FILES 

movit_blur.xml
movit_deconvolution_sharpen.xml
movit_diffusion.xml
movit_flip.xml
movit_glow.xml
movit_lift_gamma_gain.xml
movit_mirror.xml
movit_opacity.xml
movit_rect.xml
movit_saturation.xml
movit_unsharp_mask.xml
movit_vignette.xml
movit_white_balance.xml

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)
