=== data/effects/sox/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Julius Künzel <julius.kuenzel@kde.org>

INSTALL (FILES 

sox_band.xml
sox_bass.xml
sox_echo.xml
sox_flanger.xml
sox_gain.xml
sox_phaser.xml
sox_stretch.xml

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/effects)
