=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               ffmpeg,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libimath-dev,
               libkf6archive-dev (>= 6.3.0~),
               libkf6bookmarks-dev (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6filemetadata-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6notifyconfig-dev (>= 6.3.0~),
               libkf6purpose-dev (>= 6.3.0~),
               libkf6solid-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libmlt++-dev (>= 7.14.0~),
               libmlt-dev (>= 7.28.0~),
               libopentimelineio-dev,
               libswresample-dev,
               libv4l-dev,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-networkauth-dev,
               qt6-svg-dev,
               shared-mime-info,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kdenlive.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze,
         kf6-breeze-icon-theme (>= 6.0.0),
         ffmpeg,
         gstreamer1.0-plugins-bad,
         kded6,
         kdenlive-data (= ${source:Version}),
         kio6,
         melt,
         qml6-module-org-kde-desktop,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: frei0r-plugins, mediainfo, swh-plugins,
Suggests: khelpcenter, vlc | xine-ui,
Breaks: kdenlive-data (<< 4:24.12.0~),
Replaces: kdenlive-data (<< 4:24.12.0~),
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends},
Recommends: kdenlive,
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.
