## kdenlive 25.08.3+p24.04+vunstable+git20251203.0344

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 # stable release. An additional number can be used for bugfix-only releases.
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -25,7 +25,17 @@
 option(BUILD_FUZZING "Build fuzzing target" OFF)
 option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ON)
+
+set(FETCH_OTIO_DEFAULT OFF)
+if(BSD)
+    # We don't want to fetch OTIO by default and long term might not even offer this option,
+    # however there is a bug (crash) with the shared builds of OTIO on FreeBSD
+    # Hence we keep the fetching enabled as a stop gap solution on this platform
+    # https://invent.kde.org/multimedia/kdenlive/-/issues/1992
+    set(FETCH_OTIO_DEFAULT ON)
+endif()
+
+option(FETCH_OTIO "Use CMake FetchContent to download and build the OpenTimelineIO dependency" ${FETCH_OTIO_DEFAULT})
 
 # shall we use DBus?
 # enabled per default on Linux & BSD systems
@@ -39,7 +49,7 @@
 
 # Minimum versions of main dependencies.
 set(MLT_MIN_MAJOR_VERSION 7)
-set(MLT_MIN_MINOR_VERSION 28)
+set(MLT_MIN_MINOR_VERSION 32)
 set(MLT_MIN_PATCH_VERSION 0)
 set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})
 
@@ -128,11 +138,14 @@
     Concurrent
     QuickWidgets
     Multimedia
+    MultimediaWidgets
     NetworkAuth
     SvgWidgets
     Xml
     # Test
 )
+
+find_package(KDDockWidgets-qt6 2.4.0 REQUIRED)
 
 if(USE_DBUS)
     find_package(KF${KF_MAJOR} ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
@@ -149,12 +162,11 @@
 message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")
 
 # LibAV
-find_package(PkgConfig REQUIRED)
-pkg_check_modules(LIBAV REQUIRED IMPORTED_TARGET
-    libavformat
-    libavcodec
-    libswresample
-    libavutil
+find_package(FFmpeg REQUIRED COMPONENTS
+    AVFORMAT
+    AVCODEC
+    SWRESAMPLE
+    AVUTIL
 )
 
 # OpenTimelineIO
@@ -201,7 +213,7 @@
 
 # Get current version.
 set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
-if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
+if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
   # Probably a Git workspace; determine the revision.
   find_package(Git QUIET)
   if(GIT_FOUND)
@@ -209,7 +221,7 @@
 	  ARGS "log -n 1 --pretty=format:\"%h\""
       OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
     message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
-    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
+    set(KDENLIVE_FULL_VERSION_STRING "${KDENLIVE_VERSION} - rev. ${KDENLIVE_GIT_REVISION}")
   else()
     message(STATUS "Kdenlive Git revision could not be determined")
   endif()
@@ -264,6 +276,7 @@
 # Tests
 if(BUILD_TESTING)
     add_subdirectory(tests)
+    add_subdirectory(appiumtests)
 endif()
 if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
     add_subdirectory(fuzzer)
