## kdenlive 25.11.80

=== debian/changelog ===
kdenlive (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Build depend on kddockwidgets.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Nov 2025 11:42:45 +0000
